# ✨ Features Overview

Yassi allows you to retrieve and set the status of various features on your Samsung Soundbar. Below is a breakdown of capabilities organized by entity type.

## `media_player` Entity

| **Feature**       | **Capability** | **Access Type** |
|-------------------|----------------|-----------------|
| Power             | on / off       | Read, Write     |
| Volume            | set, step      | Read, Write     |
| Input Selection   | select         | Read, Write     |
| Sound Mode        | select         | Read, Write     |
| Playback Control  | play, pause    | Write           |
| Media Information | artwork, title, artist | Read    |

## `number` Entity

| **Feature** | **Capability** | **Access Type** |
|-------------|----------------|-----------------|
| Woofer Level | set           | Read, Write     |

## `select` Entity

| **Feature**       | **Capability**        | **Access Type** |
|-------------------|-----------------------|-----------------|
| Input             | input, supported_inputs | Read, Write   |
| Sound Mode        | active_soundmode, supported_soundmodes | Read, Write |
| EQ-Preset         | active_eq_preset, supported_eq_preset | Read, Write |

## `button` Entity

| **Feature**       | **Capability** | **Access Type** |
|-------------------|----------------|-----------------|
| Night Mode        | toggle         | Read, Write     |
| Voice Amplifier   | toggle         | Read, Write     |
| Bass Mode         | toggle         | Read, Write     |

## `image` Entity

| **Feature**       | **Capability** | **Access Type** |
|-------------------|----------------|-----------------|
| Media Cover Art   | display        | Read            |


## `sensor` Entity

| **Feature** | **Capability**     | **Access Type** |
|-------------|--------------------|-----------------|
| Volume      | float sensor value | Read            |


Hopefully this format provides a clear and concise view of what Yassi can do with your Samsung Soundbar, making it easier to understand and configure.
