# "Standard" information

This is the "standard" information that you can fetch with the `pysmartthings` library
for a given soundbar:

```python
{
    'supportedPlaybackCommands': status(value=['play', 'pause', 'stop'], unit=None, data=None),
    'playbackStatus': status(value='paused', unit=None, data=None),
    'mode': status(value=10, unit=None, data=None),
    'detailName': status(value='TV', unit=None, data=None),
    'volume': status(value=16, unit='%', data=None),
    'supportedInputSources': status(value=['digital', 'HDMI1', 'bluetooth', 'wifi'], unit=None, data=None),
    'inputSource': status(value='digital', unit=None, data=None),
    'data': status(value=None,unit=None,data=None),
    'switch': status(value='on', unit=None, data=None),
    'role': status(value=None, unit=None, data=None),
    'channel': status(value=None, unit=None, data=None),
    'masterName': status(value=None, unit=None, data=None),
    'status': status(value=None, unit=None, data=None),
    'st': status(value='1970-01-01T00:00:28Z', unit=None, data=None),
    'mndt': status(value='2022-01-01', unit=None, data=None),
    'mnfv': status(value='HW-Q935BWWB-1010.0', unit=None, data=None),
    'mnhw': status(value='', unit=None, data=None),
    'di': status(value='##############################', unit=None, data=None),
    'mnsl': status(value=None, unit=None, data=None),
    'dmv': status(value='res.1.1.0,sh.1.1.0', unit=None, data=None),
    'n': status(value='Samsung Soundbar Q935B', unit=None, data=None),
    'mnmo': status(value='HW-Q935B', unit=None, data=None),
    'vid': status(value='VD-NetworkAudio-002S', unit=None, data=None),
    'mnmn': status(value='Samsung Electronics', unit=None, data=None),
    'mnml': status(value=None, unit=None, data=None),
    'mnpv': status(value='6.5', unit=None, data=None),
    'mnos': status(value='Tizen', unit=None, data=None),
    'pi': status(value='##################################', unit=None, data=None),
    'icv': status(value='core.1.1.0', unit=None, data=None),
    'mute': status(value='unmuted', unit=None, data=None),
    'totalTime': status(value=174590, unit=None, data=None),
    'audioTrackData': status(value={'title': 'QUIET', 'artist': 'ELEVATION RHYTHM', 'album': ''}, unit=None, data=None),
    'elapsedTime': status(value=28601, unit=None, data=None)
}
```

It is possible to fetch the current status (on/off) or information about the input.
and if Spotify / AirPlay or Bluetooth are used, also the `title` and `artist` of a played track.

All of these states can also be set. Eg. the input, volume, mute and more.